package com.rera.mss.repository

import com.rera.mss.model.Instrument
import com.rera.mss.model.MonitoredArea
import com.rera.mss.model.User
import org.springframework.data.jpa.repository.JpaRepository

interface MonitoredAreaRepository: JpaRepository<MonitoredArea, Long> {
    fun findByUser(user: User): MutableSet<MonitoredArea>
    fun findByIdAndUser(id: Long, user: User): MonitoredArea?
}